{"components":{"schemas":{"CategoryInputDTO":{"properties":{"name":{"minLength":1,"maxLength":100,"type":"string"},"decription":{"type":"string"}},"type":"object","required":["name","decription"]},"ServiceInputDTO":{"properties":{"name":{"minLength":1,"maxLength":100,"type":"string"}},"type":"object","required":["name"]},"UserRegisterInputDTO":{"properties":{"username":{"minLength":1,"maxLength":100,"type":"string"},"password":{"minLength":1,"type":"string"},"confirm_password":{"minLength":1,"type":"string"},"email":{"format":"email","type":"string","minLength":1},"phone":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"address":{"type":"string"},"gender":{"type":"string"},"meta":{}},"type":"object","required":["username","password","confirm_password","email"]},"UserLoginInputDTO":{"properties":{"usernameOrEmail":{"minLength":1,"maxLength":100,"type":"string"},"password":{"minLength":1,"type":"string"}},"type":"object","required":["usernameOrEmail","password"]}},"securitySchemes":{"bearerAuth":{"type":"http","description":"JWT Authorization","name":"Authorization","scheme":"bearer","in":"header","bearerFormat":"JWT"}}},"info":{"title":"aamchi-laundry","version":"1.0.0","description":"Generated with `routing-controllers-openapi`"},"openapi":"3.0.0","paths":{"/api/v1/admin/categories":{"get":{"operationId":"AdminCategoriesController.index","responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Index","tags":["Admin Categories"],"security":[{"bearerAuth":[]}]},"post":{"operationId":"AdminCategoriesController.store","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryInputDTO"}}},"description":"CategoryInputDTO","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Store","tags":["Admin Categories"],"security":[{"bearerAuth":[]}]}},"/api/v1/admin/categories/{id}":{"get":{"operationId":"AdminCategoriesController.show","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Show","tags":["Admin Categories"],"security":[{"bearerAuth":[]}]},"put":{"operationId":"AdminCategoriesController.update","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryInputDTO"}}},"description":"CategoryInputDTO","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Update","tags":["Admin Categories"],"security":[{"bearerAuth":[]}]},"delete":{"operationId":"AdminCategoriesController.destroy","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Destroy","tags":["Admin Categories"],"security":[{"bearerAuth":[]}]}},"/api/v1/admin/service":{"get":{"operationId":"AdminServiceController.index","responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Index","tags":["Admin Service"],"security":[{"bearerAuth":[]}]},"post":{"operationId":"AdminServiceController.store","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceInputDTO"}}},"description":"ServiceInputDTO","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Store","tags":["Admin Service"],"security":[{"bearerAuth":[]}]}},"/api/v1/admin/service/{id}":{"get":{"operationId":"AdminServiceController.show","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Show","tags":["Admin Service"],"security":[{"bearerAuth":[]}]},"put":{"operationId":"AdminServiceController.update","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceInputDTO"}}},"description":"ServiceInputDTO","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Update","tags":["Admin Service"],"security":[{"bearerAuth":[]}]},"delete":{"operationId":"AdminServiceController.destroy","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Destroy","tags":["Admin Service"],"security":[{"bearerAuth":[]}]}},"/api/v1/admin/vendor/activate/{email}":{"get":{"operationId":"AdminVendorController.activate","parameters":[{"in":"path","name":"email","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Activate","tags":["Admin Vendor"],"security":[{"bearerAuth":[]}]}},"/api/v1/auth/register":{"post":{"operationId":"AuthController.register","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRegisterInputDTO"}}},"description":"UserRegisterInputDTO","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Register","tags":["Auth"]}},"/api/v1/auth/login/google":{"get":{"operationId":"AuthController.loginWithGoogle","responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Login with google","tags":["Auth"]}},"/api/v1/auth/google/callback":{"get":{"operationId":"AuthController.redirectSocialUser","responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Redirect social user","tags":["Auth"]}},"/api/v1/auth/login":{"post":{"operationId":"AuthController.login","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserLoginInputDTO"}}},"description":"UserLoginInputDTO","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Login","tags":["Auth"]}},"/api/v1/auth/activate/{uuid}":{"get":{"operationId":"AuthController.activate","parameters":[{"in":"path","name":"uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Activate","tags":["Auth"]}},"/api/v1/auth/reset-password":{"post":{"operationId":"AuthController.resetPassword","requestBody":{"content":{"application/json":{"schema":{"properties":{"email":{"type":"string"}},"required":["email"],"type":"object"}}}},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Reset password","tags":["Auth"]}},"/api/v1/auth/credentials/{token}":{"get":{"operationId":"AuthController.credentials","parameters":[{"in":"path","name":"token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Credentials","tags":["Auth"],"security":[{"bearerAuth":[]}]}},"/api/v1/delivery-person/auth/register":{"post":{"operationId":"DeliveryPersonAuthController.register","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRegisterInputDTO"}}},"description":"UserRegisterInputDTO","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Register","tags":["Delivery Person Auth"]}},"/api/v1/delivery-person/auth/login":{"post":{"operationId":"DeliveryPersonAuthController.login","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserLoginInputDTO"}}},"description":"UserLoginInputDTO","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Login","tags":["Delivery Person Auth"]}},"/api/v1/delivery-person/auth/reset-password":{"post":{"operationId":"DeliveryPersonAuthController.resetPassword","requestBody":{"content":{"application/json":{"schema":{"properties":{"email":{"type":"string"}},"required":["email"],"type":"object"}}}},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Reset password","tags":["Delivery Person Auth"]}},"/api/v1/delivery-person/auth/credentials/{token}":{"get":{"operationId":"DeliveryPersonAuthController.credentials","parameters":[{"in":"path","name":"token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Credentials","tags":["Delivery Person Auth"],"security":[{"bearerAuth":[]}]}},"/api/v1/user":{"get":{"operationId":"UserController.index","responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Index","tags":["User"],"security":[{"bearerAuth":[]}]}},"/api/v1/user/{email}":{"get":{"operationId":"UserController.getUserByEmail","parameters":[{"in":"path","name":"email","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Get user by email","tags":["User"],"security":[{"bearerAuth":[]}]}},"/api/v1/user/reset-password/{email}":{"get":{"operationId":"UserController.resetPassword","parameters":[{"in":"path","name":"email","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Reset password","tags":["User"],"security":[{"bearerAuth":[]}]}},"/api/v1/user/update/{email}":{"put":{"operationId":"UserController.updateUser","parameters":[{"in":"path","name":"email","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRegisterInputDTO"}}},"description":"UserRegisterInputDTO","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Update user","tags":["User"],"security":[{"bearerAuth":[]}]}},"/api/v1/user/upload-profile-picture":{"post":{"operationId":"UserController.uploadProfilepicture","responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Upload profilepicture","tags":["User"],"security":[{"bearerAuth":[]}]}},"/api/v1/user/upload-documents":{"post":{"operationId":"UserController.uploadDocuments","responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Upload documents","tags":["User"],"security":[{"bearerAuth":[]}]}},"/api/v1/vendor/auth/register":{"post":{"operationId":"VendorAuthController.register","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRegisterInputDTO"}}},"description":"UserRegisterInputDTO","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Register","tags":["Vendor Auth"]}},"/api/v1/vendor/auth/login":{"post":{"operationId":"VendorAuthController.login","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserLoginInputDTO"}}},"description":"UserLoginInputDTO","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Login","tags":["Vendor Auth"]}},"/api/v1/vendor/auth/reset-password":{"post":{"operationId":"VendorAuthController.resetPassword","requestBody":{"content":{"application/json":{"schema":{"properties":{"email":{"type":"string"}},"required":["email"],"type":"object"}}}},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Reset password","tags":["Vendor Auth"]}},"/api/v1/vendor/auth/credentials/{token}":{"get":{"operationId":"VendorAuthController.credentials","parameters":[{"in":"path","name":"token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Credentials","tags":["Vendor Auth"],"security":[{"bearerAuth":[]}]}},"/api/v1/vendor/clothe":{"get":{"operationId":"VendorClotheController.index","responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Index","tags":["Vendor Clothe"],"security":[{"bearerAuth":[]}]},"post":{"operationId":"VendorClotheController.store","requestBody":{"content":{"application/json":{"schema":{}}},"description":"","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Store","tags":["Vendor Clothe"],"security":[{"bearerAuth":[]}]}},"/api/v1/vendor/clothe/{id}":{"get":{"operationId":"VendorClotheController.show","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Show","tags":["Vendor Clothe"],"security":[{"bearerAuth":[]}]},"put":{"operationId":"VendorClotheController.update","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{}}},"description":"","required":false},"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Update","tags":["Vendor Clothe"],"security":[{"bearerAuth":[]}]},"delete":{"operationId":"VendorClotheController.destroy","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Destroy","tags":["Vendor Clothe"],"security":[{"bearerAuth":[]}]}},"/api/v1/vendor/delivery-person":{"get":{"operationId":"VendorDeliveryPersonController.getAllDeliveryPersonForCurrentVendor","responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Get all delivery person for current vendor","tags":["Vendor Delivery Person"]}},"/api/v1/vendor/delivery-person/activate/{email}":{"get":{"operationId":"VendorDeliveryPersonController.activateDeliveryPerson","parameters":[{"in":"path","name":"email","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{}},"description":"Successful response"}},"summary":"Activate delivery person","tags":["Vendor Delivery Person"]}}}}